> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dialme.at/llms.txt
> Use this file to discover all available pages before exploring further.

# Update an Assistant



## OpenAPI

````yaml PATCH /assistants/update
openapi: 3.0.0
info:
  title: alto.dialme.at API
  description: API for building voice assistants
  version: '1.0'
  contact: {}
servers:
  - url: https://alto.dialme.at/api/altov2/public
security: []
tags: []
paths:
  /assistants/update:
    patch:
      tags:
        - assistant_update
      operationId: assistant_update
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                id:
                  type: string
                  description: ID of the template
                update:
                  type: object
                  properties:
                    name:
                      type: string
                      minLength: 3
                      maxLength: 180
                    voice:
                      type: string
                      enum:
                        - en-US-Neural2-D
                        - en-US-Neural2-C
                        - en-US-Neural2-J
                        - en-US-News-K
                        - en-GB-News-M
                        - en-GB-Neural2-C
                        - en-GB-Neural2-B
                        - en-GB-Neural2-F
                        - es-ES-Neural2-B
                        - es-ES-Neural2-F
                        - es-ES-Neural2-C
                        - es-ES-Neural2-D
                        - en-US-Eleven-Marcus
                        - en-US-Eleven-Myra
                        - en-US-Eleven-Adam
                        - en-US-OpenAI-alloy
                        - en-US-OpenAI-echo
                        - en-GB-OpenAI-fable
                        - en-US-OpenAI-onyx
                        - en-US-OpenAI-nova
                        - en-US-OpenAI-shimmer
                        - es-ES-OpenAI-alloy
                        - es-ES-OpenAI-echo
                        - es-ES-OpenAI-onyx
                        - es-ES-OpenAI-nova
                        - es-ES-OpenAI-shimmer
                    end_screen:
                      type: string
                    pre_questions:
                      type: array
                      items:
                        type: string
                        minLength: 3
                        maxLength: 180
                    phone_number:
                      type: string
                      minLength: 10
                      maxLength: 15
                    structured_data:
                      type: array
                      items:
                        type: object
                        properties:
                          type:
                            type: string
                            enum:
                              - short_response
                              - multiple_choice
                          value:
                            type: string
                            minLength: 3
                            maxLength: 180
                          choices:
                            type: array
                            items:
                              type: string
                              minLength: 2
                              maxLength: 180
                        required:
                          - type
                          - value
                    webhook:
                      type: string
                      minLength: 5
                      description: >-
                        We will trigger post request to this webhook url with
                        this data


                        ```json

                        {
                          "data": {
                            "conversation_type": "web_audio",
                            "conversation_id": "",
                            "assistant_id": "",
                            "full_transcript": [],
                            "edited_transcript": [],
                            "data_points": [],
                            "pre_questions": {},
                            "timestamp": 0,
                            "call_duration": 0
                          },
                          "signature": ""
                        }

                        ```

                        We generated a signature to secure the webhook payload,
                        please refer to the colab example.
                    logo:
                      type: object
                      properties:
                        src:
                          type: string
                          format: uri
                          description: Source url
                        href:
                          type: string
                          format: uri
                          description: Linked to
                    hidden_fields:
                      type: array
                      items:
                        type: string
                        minLength: 3
                        maxLength: 180
                      description: >-
                        Hidden Fields allows you to use data you already have,
                        track information about your respondents, please refer
                        to our colab example
              required:
                - id
                - update
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: success
                  result:
                    $ref: '#/components/schemas/AssistantResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Bad Request
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Unauthorized
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Not Found
        '405':
          description: Method Not Allowed
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Method Not Allowed
      security:
        - bearer: []
components:
  schemas:
    AssistantResponse:
      type: object
      properties:
        _id:
          type: string
          example: as_***
        template_id:
          type: string
          example: tp_***
        title:
          type: string
        conversational_states:
          type: object
        language:
          type: string
        voice:
          type: string
        end_screen:
          type: string
        pre_questions:
          type: array
          items: {}
        webhook:
          type: string
        structured_data:
          type: array
          items: {}
        slug:
          type: string
        phone_number:
          type: string
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: Bearer
      type: http
      description: >-
        Retrieve your key from
        [Dashboard](https://alto.dialme.at/settings/apis).

````